Subject: Re: bug#34427: [email-masked] segfault?

From: Ludovic Courtès <[email-masked]>
Date: Tue, 12 Feb 2019 15:27:37 +0100

Hello Efraim,

Efraim Flashner <[email-masked]> skribis:

> I'm testing %bootstrap-guile from bootstrap.scm and I'm getting a
> segfault when runing guile --version. I've attached an strace of the
> process.

To be clear, I believe this is for a *cross-compiled* Guile, right?

The natively-built binary on x86_64-linux works fine:

--8<---------------cut here---------------start------------->8---
$ unshare -mrf chroot $(guix build guile-static-stripped) ./bin/guile --version
guile: warning: failed to install locale
GC Warning: pthread_getattr_np or pthread_attr_getstack failed for main thread
GC Warning: Couldn't read /proc/stat
guile (GNU Guile) 2.2.4
Copyright (C) 2018 Free Software Foundation, Inc.

License LGPLv3+: GNU LGPL 3 or later <http://gnu.org/licenses/lgpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
$ guix describe
Generacio 61	Feb 12 2019 11:14:38	(nuna)
  guix c86b5f1
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: c86b5f1b9bdfdd478ba15804f9343feb8d9c019b
$ uname -m
x86_64
--8<---------------cut here---------------end--------------->8---

Since I saw a build failure similar to the one you mention when
cross-building for GNU/Hurd, I’m tempted to think this has to do with
cross-compilation.

Thanks,
Ludo’.